Bug 858068 - Review Request: mingw-qt5-qtjsbackend - Qt5 for Windows - QtJsBackend component
Review Request: mingw-qt5-qtjsbackend - Qt5 for Windows - QtJsBackend component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On: 858058
Blocks: 858064
  Show dependency treegraph
 
Reported: 2012-09-17 18:37 EDT by Erik van Pienbroek
Modified: 2013-04-07 20:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-07 20:24:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:37:24 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtjsbackend/mingw-qt5-qtjsbackend.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtjsbackend-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:10:12 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtjsbackend/mingw-qt5-qtjsbackend.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtjsbackend-5.0.0-0.2.beta1.git20121111.4cbcad7f.fc19.src.rpm

* Sun Nov 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121111.4cbcad7f
- Update to 20121111 snapshot (rev 4cbcad7f)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now
- Added BR: python
Comment 2 Erik van Pienbroek 2013-02-08 18:28:00 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtjsbackend/mingw-qt5-qtjsbackend.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtjsbackend/5.0.1/1.fc19/src/mingw-qt5-qtjsbackend-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=114

* Fri Feb 08 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Thu Jan 03 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
Comment 3 greg.hellings 2013-03-26 09:58:40 EDT
Taking for review.
Comment 4 greg.hellings 2013-03-26 10:36:04 EDT
$ rpmlint mingw-qt5-qtjsbackend.spec 
mingw-qt5-qtjsbackend.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtjsbackend.spec:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtjsbackend.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtjsbackend.spec:26: W: macro-in-comment %{snapshot_rev}
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

These are fine, as they're relics of the pre-release like in qt5base

$ rpmlint mingw-qt5-qtjsbackend-5.0.1-1.fc19.src.rpm 
mingw-qt5-qtjsbackend.src: E: unknown-key GPG#9b393ae8
mingw-qt5-qtjsbackend.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtjsbackend.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtjsbackend.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtjsbackend.src:26: W: macro-in-comment %{snapshot_rev}
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

I believe the GPG error

$ rpmlint results_mingw-qt5-qtjsbackend/5.0.1/1.fc18/mingw32-qt5-qtjsbackend-5.0.1-1.fc18.noarch.rpm results_mingw-qt5-qtjsbackend/5.0.1/1.fc18/mingw64-qt5-qtjsbackend-5.0.1-1.fc18.noarch.rpm
mingw32-qt5-qtjsbackend.noarch: W: no-documentation
mingw32-qt5-qtjsbackend.noarch: E: zero-length /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5V8.pc
mingw64-qt5-qtjsbackend.noarch: W: no-documentation
mingw64-qt5-qtjsbackend.noarch: E: zero-length /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5V8.pc
2 packages and 0 specfiles checked; 2 errors, 2 warnings.

Warning is fine because it depends on the parent package which does have documentation. The errors likely need to be reported upstream.


$ rpm -q --requires mingw32-qt5-qtjsbackend
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 83
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libstdc++-6.dll)
mingw32(msvcrt.dll)
mingw32(winmm.dll)
mingw32(ws2_32.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --requires mingw64-qt5-qtjsbackend
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 83
mingw64(kernel32.dll)
mingw64(libgcc_s_sjlj-1.dll)
mingw64(libstdc++-6.dll)
mingw64(msvcrt.dll)
mingw64(winmm.dll)
mingw64(ws2_32.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --provides mingw32-qt5-qtjsbackend
mingw32-qt5-qtjsbackend = 5.0.1-1.fc18
mingw32(qt5v8.dll)

$ rpm -q --provides mingw64-qt5-qtjsbackend
mingw64-qt5-qtjsbackend = 5.0.1-1.fc18
mingw64(qt5v8.dll)


$ wget --quiet http://releases.qt-project.org/qt5/5.0.1/submodules_tar/qtjsbackend-opensource-src-5.0.1.tar.xz -O - | md5sum
af5ccb9d5ab589df03eb0b12fb5ab4cd  -
$ md5sum qtjsbackend-opensource-src-5.0.1.tar.xzaf5ccb9d5ab589df03eb0b12fb5ab4cd  qtjsbackend-opensource-src-5.0.1.tar.xz
af5ccb9d5ab589df03eb0b12fb5ab4cd  qtjsbackend-opensource-src-5.0.1.tar.xz


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, %mingw_cmake_kde4
    or %mingw_qmake_qt5 to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal


I don't think the missing GPG key is a problem, as I believe that indicates I simply have not imported it to my keychain. The 0-length pkgconfig files seem to be an issue, though. I don't see you manually installing those, so it should probably be reported upstream? Otherwise, everything looks good to me.
Comment 5 Erik van Pienbroek 2013-03-26 15:28:15 EDT
Thanks for the review.

The GPG rpmlint error comes from the fact that the .src.rpm was generated by my local koji instance which automatically signs RPMs with my personal GPG key, so that's nothing to worry about.

The zero-length pkg-config files was caused by a bug in qmake. I've created a workaround for this issue in mingw-qt5-qtbase-5.0.1-3, so that issue should be resolved now as well

New Package SCM Request
=======================
Package Name: mingw-qt5-qtjsbackend
Short Description: Qt5 for Windows - QtJsBackend component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-03-26 15:40:29 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-03-26 19:29:38 EDT
mingw-qt5-qtbase-5.0.1-3.fc18,mingw-qt5-qtjsbackend-5.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt5-qtbase-5.0.1-3.fc18,mingw-qt5-qtjsbackend-5.0.1-1.fc18
Comment 8 Fedora Update System 2013-03-27 16:37:14 EDT
mingw-qt5-qtscript-5.0.1-1.fc18, mingw-qt5-qtbase-5.0.1-3.fc18, mingw-qt5-qtjsbackend-5.0.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-04-07 20:24:51 EDT
mingw-qt5-qtscript-5.0.1-1.fc18, mingw-qt5-qttools-5.0.1-1.fc18, mingw-qt5-qtbase-5.0.1-4.fc18, mingw-qt5-qtjsbackend-5.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.